[data-component-id="incmty:horizontal_card"] {
  border-radius: 24px;
  box-shadow: none;
  border: none;
  overflow: hidden;

  .card-image {
    width: 100%;

    * {
      height: 100%;
    }

    img {
      width: 100%;
      object-fit: cover;
    }

    .blazy--field-logotipo {
      img {
        object-fit: contain;
        padding: 16px;
        max-width: 512px;
        max-height: 384px;
        display: table;
        margin: auto;

        @media (max-width: 768px) {
          max-width: 256px;
          max-height: 256px;
        }
      }
    }
  }

  .card-body {
    padding: 16px 32px 32px 32px;

    h4 {
      font-size: 12px;
      font-style: normal;
      font-weight: 700;
      line-height: 14px;
      text-transform: uppercase;
      padding-bottom: 4px;
      color: var(--text-color);

      .field--name-field-subtitle {
        color: var(--text-color);
      }
    }

    h4 + * {
      padding-top: 16px;
      border-top: 2px solid var(--divider-color);
      margin-top: 0;
    }

    h5 {
      font-size: 16px;
      font-style: normal;
      font-weight: 700;
      line-height: 22px;
      color: var(--text-color);

      .field--name-field-title {
        color: var(--text-color);
      }
    }

    h5 + * {
      margin-top: 16px;
    }

    .card-description {
      p {
        font-size: 16px;
        font-style: normal;
        line-height: 22px;
        color: var(--text-color);
      }
    }

    .card-description + * {
      margin-top: 16px;
    }
  }

  &.link-arrow {
    .card-body {
      a {
        font-size: 12px;
        font-style: normal;
        font-weight: 900;
        line-height: 18px;
        display: inline-block;
        text-decoration: none;
        text-transform: uppercase;
        position: relative;
        background-color: transparent;
        border: 0;
        color: var(--link-color);
        padding: 0;

        &:hover,
        &:focus {
          text-decoration: underline;
        }

        &:after {
          content: "";
          right: 0;
          position: absolute;
          top: 50%;
          transform: translateY(-50%);
          width: 16px;
          height: 16px;
          mask-size: 12px 12px;
          mask-position: center;
          mask-repeat: no-repeat;
          mask-image: url(/themes/custom/incmty/images/svg/chevron-right.svg);
          background-image: none;
          right: -16px;
          background-color: var(--link-color);
        }
      }
    }
  }

  &.btn {
    .card-body {
      a {
        display: inline-block;
        border: 2px solid var(--button-bg-color);
        background-color: var(--button-bg-color);
        color: var(--button-text-color);
        padding: 16px 32px;
        text-align: center;
        border-radius: 96px;
        text-decoration: none;
        text-transform: uppercase;
        font-size: 12px;
        font-style: normal;
        font-weight: 900;
        line-height: 18px;

        &:hover {
          background-color: var(--button-text-color);
          color: var(--button-bg-color);
          border-color: var(--button-bg-color);
        }
      }
    }
  }
}

@media screen and (min-width: 1280px) {
  [data-component-id="incmty:horizontal_card"] {
    picture {
      display: block;
      position: relative;

      img {
        position: absolute;
      }
    }

    .card-body {
      padding: 32px;
      width: calc(100% - 64px);
    }
  }
}
